## com.thingmagic
Enum Gen2.Gen2_SiliconType

    java.lang.Object
      java.lang.Enum<Gen2.Gen2_SiliconType>
          com.thingmagic.Gen2.Gen2_SiliconType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Gen2_SiliconType>

Enclosing class:
  Gen2

    public static enum Gen2.Gen2_SiliconType

extends java.lang.Enum<Gen2.Gen2_SiliconType>

Enum Constant Summary
`GEN2_ALIEN_HIGGS_SILICON`
`GEN2_ALIEN_HIGGS3_SILICON`
`GEN2_ANY_SILICON`
`GEN2_HITACHI_HIBIKI_SILICON`
`GEN2_IAV_DENATRAN`
`GEN2_IMPINJ_MONZA4_SILICON`
`GEN2_IMPINJ_MONZA6_SILICON`
`GEN2_NXP_G2IL_SILICON`
`GEN2_NXP_G2XL_SILICON`
`GEN2_NXP_UCODE7_SILICON`

Method Summary
`static Gen2.Gen2_SiliconType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Gen2_SiliconType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GEN2_ANY_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_ANY_SILICON

### GEN2_ALIEN_HIGGS_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_ALIEN_HIGGS_SILICON

### GEN2_NXP_G2XL_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_NXP_G2XL_SILICON

### GEN2_ALIEN_HIGGS3_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_ALIEN_HIGGS3_SILICON

### GEN2_HITACHI_HIBIKI_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_HITACHI_HIBIKI_SILICON

### GEN2_NXP_G2IL_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_NXP_G2IL_SILICON

### GEN2_IMPINJ_MONZA4_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_IMPINJ_MONZA4_SILICON

### GEN2_IAV_DENATRAN

    public static final Gen2.Gen2_SiliconType GEN2_IAV_DENATRAN

### GEN2_IMPINJ_MONZA6_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_IMPINJ_MONZA6_SILICON

### GEN2_NXP_UCODE7_SILICON

    public static final Gen2.Gen2_SiliconType GEN2_NXP_UCODE7_SILICON

Method Detail

### values

    public static Gen2.Gen2_SiliconType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Gen2_SiliconType c : Gen2.Gen2_SiliconType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Gen2_SiliconType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null